<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Module Hierarchy</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">&nbsp;</td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<center><b>
 [ <a href="module-tree.html">Module Hierarchy</a>
 | <a href="class-tree.html">Class Hierarchy</a> ]
</b></center><br />
<h1 class="epydoc">Module Hierarchy</h1>
<ul class="nomargin-top">
    <li> <strong class="uidlink"><a href="pyxmpp-module.html">pyxmpp</a></strong>: <em class="summary">PyXMPP is object-oriented, most of its fetures are implemented via classes,
defined in various pyxmpp modules.</em>
    <ul>
    <li class="private"> <strong class="uidlink"><a href="pyxmpp._xmlextra-module.html">pyxmpp._xmlextra</a></strong>: <em class="summary">Special libxml2 extensions for PyXMPP internal use.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.all-module.html">pyxmpp.all</a></strong>: <em class="summary">Convenience module containing most important objects from pyxmpp package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.cache-module.html">pyxmpp.cache</a></strong>: <em class="summary">Caching proxy for Jabber/XMPP objects.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.client-module.html">pyxmpp.client</a></strong>: <em class="summary">Basic XMPP-IM client implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.clientstream-module.html">pyxmpp.clientstream</a></strong>: <em class="summary">Client stream handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.error-module.html">pyxmpp.error</a></strong>: <em class="summary">XMPP error handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.exceptions-module.html">pyxmpp.exceptions</a></strong>: <em class="summary">PyXMPP exceptions.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.expdict-module.html">pyxmpp.expdict</a></strong>: <em class="summary">Dictionary with item expiration.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interface-module.html">pyxmpp.interface</a></strong>: <em class="summary">Interface API.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interface_micro_impl-module.html">pyxmpp.interface_micro_impl</a></strong>: <em class="summary">Interface API, minimal implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.interfaces-module.html">pyxmpp.interfaces</a></strong>: <em class="summary">Interfaces for flexible API extensions.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.iq-module.html">pyxmpp.iq</a></strong>: <em class="summary">Iq XMPP stanza handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber-module.html">pyxmpp.jabber</a></strong>: <em class="summary">JSF defined XMPP extension and legacy Jabber protocol elements</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.all-module.html">pyxmpp.jabber.all</a></strong>: <em class="summary">Convenience module containing most important objects from pyxmpp.jabber
package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.client-module.html">pyxmpp.jabber.client</a></strong>: <em class="summary">Basic Jabber client functionality implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.clientstream-module.html">pyxmpp.jabber.clientstream</a></strong>: <em class="summary">XMPP stream support with fallback to legacy non-SASL Jabber authentication.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.dataforms-module.html">pyxmpp.jabber.dataforms</a></strong>: <em class="summary">Jabber Data Forms support.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.delay-module.html">pyxmpp.jabber.delay</a></strong>: <em class="summary">Delayed delivery mark (jabber:x:delay) handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.disco-module.html">pyxmpp.jabber.disco</a></strong>: <em class="summary">Jabber Service Discovery support.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muc-module.html">pyxmpp.jabber.muc</a></strong>: <em class="summary">Jabber Multi-User Chat implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.muccore-module.html">pyxmpp.jabber.muccore</a></strong>: <em class="summary">Jabber Multi-User Chat implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.register-module.html">pyxmpp.jabber.register</a></strong>: <em class="summary">In-band registration (jabber:iq:register) handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.simple-module.html">pyxmpp.jabber.simple</a></strong>: <em class="summary">Simple API for simple things like sendig messages or single stanzas.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabber.vcard-module.html">pyxmpp.jabber.vcard</a></strong>: <em class="summary">Jabber vCard and MIME (RFC 2426) vCard implementation.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd-module.html">pyxmpp.jabberd</a></strong>: <em class="summary">Facilities for jabber server implementation specific features,
like components.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.all-module.html">pyxmpp.jabberd.all</a></strong>: <em class="summary">Convenience module containing most important objects fr pyxmpp.jabberd package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.component-module.html">pyxmpp.jabberd.component</a></strong>: <em class="summary">Jabberd external component interface (jabber:component:accept).</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jabberd.componentstream-module.html">pyxmpp.jabberd.componentstream</a></strong>: <em class="summary">Component (jabber:component:accept) stream handling.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.jid-module.html">pyxmpp.jid</a></strong>: <em class="summary">jid -- Jabber ID handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.message-module.html">pyxmpp.message</a></strong>: <em class="summary">Message XMPP stanza handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.objects-module.html">pyxmpp.objects</a></strong>: <em class="summary">General base classes for PyXMPP objects.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.presence-module.html">pyxmpp.presence</a></strong>: <em class="summary">Presence XMPP stanza handling</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.resolver-module.html">pyxmpp.resolver</a></strong>: <em class="summary">DNS resolever with SRV record support.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.roster-module.html">pyxmpp.roster</a></strong>: <em class="summary">XMPP-IM roster handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl-module.html">pyxmpp.sasl</a></strong>: <em class="summary">SASL authentication implementaion for PyXMPP.</em>
    <ul>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.core-module.html">pyxmpp.sasl.core</a></strong>: <em class="summary">Base classes for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.digest_md5-module.html">pyxmpp.sasl.digest_md5</a></strong>: <em class="summary">DIGEST-MD5 authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.external-module.html">pyxmpp.sasl.external</a></strong>: <em class="summary">External SASL authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.gssapi-module.html">pyxmpp.sasl.gssapi</a></strong>: <em class="summary">GSSAPI authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.sasl.plain-module.html">pyxmpp.sasl.plain</a></strong>: <em class="summary">PLAIN authentication mechanism for PyXMPP SASL implementation.</em>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stanza-module.html">pyxmpp.stanza</a></strong>: <em class="summary">General XMPP Stanza handling.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stanzaprocessor-module.html">pyxmpp.stanzaprocessor</a></strong>: <em class="summary">Handling of XMPP stanzas.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.stream-module.html">pyxmpp.stream</a></strong>: <em class="summary">Generic XMPP stream implementation.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streambase-module.html">pyxmpp.streambase</a></strong>: <em class="summary">Core XMPP stream functionality.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streamsasl-module.html">pyxmpp.streamsasl</a></strong>: <em class="summary">SASL support XMPP streams.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.streamtls-module.html">pyxmpp.streamtls</a></strong>: <em class="summary">TLS support for XMPP streams.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.utils-module.html">pyxmpp.utils</a></strong>: <em class="summary">Utility functions for the pyxmpp package.</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.version-module.html">pyxmpp.version</a></strong>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmlextra-module.html">pyxmpp.xmlextra</a></strong>: <em class="summary">Extension to libxml2 for XMPP stream and stanza processing</em>    </li>
    <li> <strong class="uidlink"><a href="pyxmpp.xmppstringprep-module.html">pyxmpp.xmppstringprep</a></strong>: <em class="summary">Nodeprep and resourceprep stringprep profiles.</em>    </li>
    </ul>
    </li>
</ul>
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Trees&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:34:57 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
